The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get List of CIDR Allocated to an Interface

Prev Next

This URL gets CIDR list allocated to an interface.

Resource URL

GET /sensor/<sensor_id>/interface/<interface_id>/allocatedcidrlist

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
sensor_id Sensor ID Number Yes
interface_id Interface ID Number Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
AllocatedCidrListElem List of CIDR Array

Example

Request

GET https://%3CNSM_IP%3E/sdkapi/sensor/1002/interface/110/allocatedcidrlist

Response

{
       "cidrList":
       [
           "192.168.0.0/28"
       ]
 } 
 

Error Information

Following error codes are returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1105 Invalid domain
2 404 1106 Invalid Sensor
3 404 1107 Invalid interface or sub-interface id